Curl error when calling `api.openai.com`

I am getting an error cURL error 60: SSL certificate problem: certificate has expired when calling openai APIs from a local environment.

Let’s encrypt’s root certificate was supposed to expire from 30th September and I noticed that api.openai.com is indeed using a certificate and that was generated on 23 September.

Is anyone else getting this error as well?

1 Like

Hello, I am having the same issue. did you find a solution? :frowning:

I solved disabling SSL checker in cURL
CURLOPT_SSL_VERIFYPEER => 0

That worked for me, :smiley: